Bug 973891 - cp does not work from local fs to mounted gluster volume;
cp does not work from local fs to mounted gluster volume;
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 00:38 EDT by Michal Hájek
Modified: 2015-10-22 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hájek 2013-06-13 00:38:33 EDT
Description of problem:

We used git version from 12th June (ie. yesterday) on Fedora 18 with 3.9.5 kernel.

local filesystem on client = xfs
underlaying filesystem on both servers (replica 2x of 1 brick) xfs on lvm
input file on local system generated: 4633 B of random numbers repeated to
file size 4688596000 , name = rndcore . File rndcore on local disc copied
from client to glusterfs volume, mounted via nfs :
cp -av rndcore /gluster_m/gs-home-u/ycore
‘rndcore’ -> ‘/gluster_m/gs-home-u/ycore’
cp: writing ‘/gluster_m/gs-home-u/ycore’: Unknown error 527
cp: failed to extend ‘/gluster_m/gs-home-u/ycore’: Unknown error 527
when mounted natively via fuse, write fails with bad file handle error
Glusterfs vol. size = 2TB.

This bug is observed also with native gluster client. 

Version-Release number of selected component (if applicable):


How reproducible:
always. Just use cp to copy big files.

Steps to Reproduce:
1. cp /local/fs/bigfile /mounted/gluster/

Actual results:
cp -av rndcore /gluster_m/gs-home-u/ycore
‘rndcore’ -> ‘/gluster_m/gs-home-u/ycore’
cp: writing ‘/gluster_m/gs-home-u/ycore’: Unknown error 527
cp: failed to extend ‘/gluster_m/gs-home-u/ycore’: Unknown error 527

or 
bad file handle error
Expected results:
copy file correctly

Additional info:
Comment 1 Michal Hájek 2013-06-14 03:09:59 EDT
gluster volume transport was rdma only.
While testing with primitive custom copy C programm,  syscall
write() did not work reliably with bigger butter e.g. 120kB, 1MB ... (sometimes work, sometimes fail) .  Copying of  4.2GB file with buffer size 4096B was slow, but mostly worked.
Comment 2 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.